//
//  SBSDKBarcodeImageGenerationType.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 03.02.20.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKBarcodeImageGenerationType {
    init(from string: String) {
          switch string {
          case "NONE": self = .none
          case "CAPTURED_IMAGE": self = .capturedImage
          case "VIDEO_FRAME": self = .fromVideoFrame
          default: self = .none
          }
      }
}
