//
//  ScanbotSDKInitializer.swift
//  Runner
//
//  Created by Zhenya Knizhnik on 22.08.19.
//  Copyright © 2019 The Chromium Authors. All rights reserved.
//

import Foundation
import ScanbotBarcodeScannerSDK

enum ScanbotSDKInitializer {    
    static func initialize(config: SDKInitializationConfig, result: @escaping FlutterResult) {
        if (!config.licenseCode.isEmpty) {
            ScanbotSDK.setLicense(config.licenseCode)
        }
        ScanbotSDK.setLoggingEnabled(config.isLoggingEnabled)
        SBSDKUIBarcodeImageStorage.setBaseStorageURL(config.storageBaseDirectory)

        result(nil)
    }
}
