//
//  SBSDKBarcodeScannerResult.swift
//  Pods-Runner
//
//  Created by Yevgeniy Knizhnik on 04.02.20.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKBarcodeScannerResult {
    var encodedString: String? {
        let dictionary = self.encodedDictionary
        return dictionary.encodedString
    }
    
    var encodedDictionary: [String: Any?] {
        let dictionary = ["barcodeFormat" : self.type.stringName,
                          "text" : self.rawTextString]
        return dictionary
    }
}
