//
//  dooLicenseStatus.swift
//  flutter_plugin_android_lifecycle
//
//  Created by Yevgeniy Knizhnik on 05.02.20.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension dooLicenseStatus {
    var stringName: String? {
        switch self {
        case LicenseStatusOkay: return "StatusOkay"
        case LicenseStatusTrial: return "StatusTrial"
        case LicenseStatusFailureNotSet: return "StatusFailureNotSet"
        case LicenseStatusFailureExpired: return "StatusFailureExpired"
        case LicenseStatusFailureWrongOS: return "StatusFailureWrongOS"
        case LicenseStatusFailureCorrupted: return "StatusFailureCorrupted"
        case LicenseStatusFailureAppIDMismatch: return "StatusFailureAppIDMismatch"
        default: return nil
        }
    }
}
